# $Id$
# Authority: dag
# Upstream: Matthijs van Duin <xmath-no-spam$nospam,cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Sub-Name

Summary: Perl module to (re)name a sub
Name: perl-Sub-Name
Version: 0.02
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Sub-Name/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Sub/Sub-Name-0.02.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
Sub-Name is a Perl module to (re)name a sub.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Sub::Name.3pm*
%dir %{perl_vendorarch}/Sub/
%{perl_vendorarch}/Sub/Name.pm
%dir %{perl_vendorarch}/auto/Sub/
%{perl_vendorarch}/auto/Sub/Name/

%changelog
* Fri May 04 2007 Dag Wieers <dag@wieers.com> - 0.02-1 - +/
- Initial package. (using DAR)
